Can't render LaTeX equations in OSX

Bug #302460 reported by Marcus P S on 2008-11-26
2
Affects Status Importance Assigned to Milestone
Inkscape
Undecided
Unassigned

Bug Description

When I try to render any equation in Inkscape, I get the error message included below.

I went digging in the temporary files that Inkscape generates, and all the tex and ps files are there, and they have been created without a problme, but the svg file is nowhere to be found. To me that indicates that maybe the problem is the creation of the svg that fails for some reason. So I tried running the pstoedit command which is executed in eqtexsvg directly from the command line, and that works without a problem -- I get the svg (attached), and it looks fine in Firefox. I tried editing eqtexsvg so that the full path to pstoedit was hardcoded, but that did not change the behaviour at all.

Marcus P S (marcus-ps+inkscape) wrote :
Marcus P S (marcus-ps+inkscape) wrote :
Download full text (3.1 KiB)

The error message:

pstoedit: version 3.45 / DLL interface 108 (build Aug 12 2008 - release build - g++ 4.0.1 (Apple Inc. build 5465)) : Copyright (C) 1993 - 2007 Wolfgang Glunz
Problem during opening /opt/local/lib/pstoedit/libp2edrvlplot.0.0.0.so:dlopen(/opt/local/lib/pstoedit/libp2edrvlplot.0.0.0.so, 1): Library not loaded: /opt/local/lib/libpng12.0.dylib
Referenced from: /opt/local/lib/pstoedit/libp2edrvlplot.0.0.0.so
Reason: Incompatible library version: libp2edrvlplot.0.0.0.so requires version 30.0.0 or later, but libpng12.0.dylib provides version 27.0.0
Problem during opening of pstoedit driver plugin: /opt/local/lib/pstoedit/libp2edrvlplot.0.0.0.so. This is no problem as long the driver in this library is not needed. Possibly you need to install further libraries and/or extend the LD_LIBRARY_PATH (*nix) or PATH (Windows) environment variables.
Problem during opening /opt/local/lib/pstoedit/libp2edrvlplot.0.so:dlopen(/opt/local/lib/pstoedit/libp2edrvlplot.0.so, 1): Library not loaded: /opt/local/lib/libpng12.0.dylib
Referenced from: /opt/local/lib/pstoedit/libp2edrvlplot.0.so
Reason: Incompatible library version: libp2edrvlplot.0.so requires version 30.0.0 or later, but libpng12.0.dylib provides version 27.0.0
Problem during opening of pstoedit driver plugin: /opt/local/lib/pstoedit/libp2edrvlplot.0.so. This is no problem as long the driver in this library is not needed. Possibly you need to install further libraries and/or extend the LD_LIBRARY_PATH (*nix) or PATH (Windows) environment variables.
Problem during opening /opt/local/lib/pstoedit/libp2edrvlplot.so:dlopen(/opt/local/lib/pstoedit/libp2edrvlplot.so, 1): Library not loaded: /opt/local/lib/libpng12.0.dylib
Referenced from: /opt/local/lib/pstoedit/libp2edrvlplot.so
Reason: Incompatible library version: libp2edrvlplot.so requires version 30.0.0 or later, but libpng12.0.dylib provides version 27.0.0
Problem during opening of pstoedit driver plugin: /opt/local/lib/pstoedit/libp2edrvlplot.so. This is no problem as long the driver in this library is not needed. Possibly you need to install further libraries and/or extend the LD_LIBRARY_PATH (*nix) or PATH (Windows) environment variables.
Traceback (most recent call last):
File "Contents/Resources/extensions/eqtexsvg.py", line 119, in <module>
e.affect()
File "/Applications/Inkscape.app/Contents/Resources/extensions/inkex.py", line 154, in affect
self.effect()
File "Contents/Resources/extensions/eqtexsvg.py", line 114, in effect
svg_open(self, svg_file)
File "Contents/Resources/extensions/eqtexsvg.py", line 67, in svg_open
doc = inkex.etree.parse(filename)
File "etree.pyx", line 2045, in etree.parse
File "parser.pxi", line 970, in etree._parseDocument
File "parser.pxi", line 974, in etree._parseDocumentFromURL
File "parser.pxi", line 891, in etree._parseDocFromFile
File "parser.pxi", line 582, in etree._BaseParser._parseDocFromFile
File "parser.pxi", line 656, in etree._handleParseResult
File "parser.pxi", line 622, in etree._raiseParseError
IOError: Error reading file '/var/folders/Xa/XaqHO9PeEC8K-Nrd0L9xWk+++TM/-Tmp-/inkscape-UJr2T5/eq.svg': failed to load external entity "/var/folders/Xa/XaqHO9PeEC8K-Nrd0L9xWk+++TM/-Tmp-/inkscape-...

Read more...

su_v (suv-lp) wrote :

Marking as duplicate of bug #267053 “Issue with libpng12.0.dylib when using LateX Formula Effect”
<https://bugs.launchpad.net/inkscape/+bug/267053>

If you don't agree please add a comment and revert the duplicate status.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments